package com.cwbuyer.lib;


import android.app.Activity;
import android.graphics.Bitmap;
import android.graphics.drawable.BitmapDrawable;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.LinearLayout;

import com.pwbuyer.main.R;

//銷售王的核心2層式ADAPTER,複製自 MANAGEITEM採購王
public class Show_imagebig extends Activity{
	
	Bitmap mBitmap=null;
	String imagePath="";
	
	@SuppressWarnings("deprecation")
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.layout_big);
        
        imagePath = getIntent().getStringExtra("image" );
        ((LinearLayout)findViewById(R.id.image_big)).setOnClickListener(new MainClick());
	     
		if(imagePath !=null && imagePath.indexOf("img_additem.png")<0){
			BitmapDrawable d = new BitmapDrawable(imagePath);
			((LinearLayout)findViewById(R.id.image_big)).setBackgroundDrawable(d);
		}else{
			finish();
		}
		
	}        
	
	public void onResume(){
		super.onResume();

		}
	
	// 特別處理 日結單 GROUPS第一層 是以(日/週/月)為統計結算 childs第二層 才是單頭
	//如何分開 日結+單頭  及 單頭+單身 的製作就是關鍵
	class MainClick implements OnClickListener { //所有的觸發事件,在此集中管理
		@Override
		public void onClick(View v) {
			int id = v.getId();
			Utilis.runVibrate(Show_imagebig.this);
			switch (id){
			case R.id.image_big:
				finish();
			break;
			}
		}
	}

}
